
Auto Multiple Choice - Bug # 468: annotation : un seul fichier pour tous les étudiants ne fonctionne 
pas du premier coup

Status: Closed Priority: Normal
Author: Frédéric Bréal Category: Graphical Interface
Created: 03/21/2017 Assignee:
Updated: 03/06/2018 Due date:
Description: quand je clique sur "un seul fichier pour les étudiants", cela n'a aucun effet. AMC crée un fichier par étudiant. 

Je dois fermer AMC et le rouvrir puis re-cliquer sur annoter pour avoir un seul fichier.

Le fichier log correspond à un test avec pdfform où le problème s'est présenté 
http://project.auto-multiple-choice.net/boards/4/topics/5117.

Je n'arrive pas à trouver une récurrence, exemple : un sujet avec un modèle et correction manuelle ne semble 
pas déclencher le bug mais tous/certains de mes sujets en correction manuelle le déclenche.

Ubuntu 16/4 + amc test 1.3.0+hg2017-03-20 (la version test précédente présentait le même bug).

History
03/29/2017 12:29 pm - Joël Brogniart
- File AMC-DEBUG-GAN3szyO.log added

J'ai le problème similaire sur une de mes installations (macOS 10.6.4, AMC commit:b94e3a20ce34).

Je n'arrive pas à choisir le "Titre du code pour association automatique" qui présente un menu local qui ne contient que la valeur "(aucun)". Je joins un 
journal limité à l'opération de relecture du fichier des étudiants et la tentative de changer le deuxième menu local.

03/29/2017 12:37 pm - Joël Brogniart
- File test-2030.zip added

Pendant que j'y suis, je mets le dossier du projet avec le fichier étudiants à l'intérieur et à l'étape où ça coince.

03/29/2017 12:54 pm - Joël Brogniart
- File AMC-DEBUG-XI70o3L0.log added

Et là ça remarche. Voici le journal des opérations depuis l'ouverture du projet.

03/30/2017 09:58 am - Alexis Bienvenüe
Je n'arrive pas à reproduire ce problème : si j'utilise votre archive de projet, le menu _Titre du code pour association automatique_ a bien une 
possibilité _student.number_.
Pouvez-vous trouver une une séquence d'actions, pas à pas, qui permette de le reproduire ?

03/30/2017 01:41 pm - Joël Brogniart
- File AMC-DEBUG-kTKoQISq.log added

http://project.auto-multiple-choice.net/issues/468#note-4
C'est un peu le cœur du problème. En général, ça n'arrive que la première fois. Là pour avoir le problème j'ai enchainé les étapes suivantes sans 
enregistrer le projet. J'ai dans un coin mes fichiers source et étudiants déjà prêts.

- Lancer AMC.
- Passer en mode debug.
- Créer un nouveau projet vide.
- Transformer le type du projet de LaTeX en AMC-TXT.
- Cliquer sur le bouton "Éditer le fichier source". Dans l'éditeur, copier le contenu de mon fichier source de test et le coller dans le fichier source du 
projet, enregistrer.
- Retour dans AMC, Mettre "10" dans le champs "Nombre de copies" et cliquer le bouton "Mettre à jour les documents". Valider le dialogue de 
modification du seuil de noir.
- Cliquer le bouton "Calculer les mises en page".
- Cliquer le bouton "Imprimer des copies", sélectionner un numéro de copie et lancer l'impression. Cliquer "Non" dans le dialogue "Allez vous 
photocopier…".
- Remplir la copie et la numériser.
- Dans AMC passer au panneau "Saisie", cliquer le bouton "Automatique" et choisir le fichier numérisé.
- Passer au panneau "Notation" et cliquer le bouton "Corriger".
- Cliquer sur le bouton "Choisir" pour choisir le fichier des étudiants et choisir le fichier des étudiants.
- Choisir "Numero" sans le menu "Identifiant unique dans cette liste".
Je ne peut rien choisir pour le menu "Titre du code".

Je joins un nouveau journal sur ces opérations.

03/30/2017 01:44 pm - Joël Brogniart
Lors de ces opérations, le fichier des étudiants et le fichier numérisé étaient sur mon bureau et non pas dans le dossier du projet ou le dossier EMC.

05/04/2017 03:15 pm - Frédéric Bréal
J'ai fait un test sur avec un ancien sujet en suivant la  même procédure que Joël et l'annotation s'est faite correctement.
Je devrais en refaire un avec plus de question, des images.

AMC version 1.3.0+hg2017-05-02

05/04/2017 03:21 pm - Alexis Bienvenüe
@Joël : Pouvez-vous essayer de nouveau en ayant décoché toutes les options de _Édition/Préférences/Affichage/Notifications_ ?

10/05/2017 04:04 pm - Alexis Bienvenüe
- Status changed from New to Feedback

10/06/2017 02:34 pm - Joël Brogniart
Je viens de refaire un test comme décrit ci dessus. Je n'ai pas réussi à reproduire le problème.

Je suis sous mac OS X 10.13 High Sierra, avec AMC révision 2096 commit:133a512075d7. Les notifications sont désactivées.

03/06/2018 09:27 am - Alexis Bienvenüe
- Status changed from Feedback to Closed

- % Done changed from 0 to 100

Files
AMC-DEBUG-pdfform___annotation.log 256.2 kB 03/21/2017 Frédéric Bréal
AMC-DEBUG-GAN3szyO.log 3.1 kB 03/29/2017 Joël Brogniart
test-2030.zip 1.7 MB 03/29/2017 Joël Brogniart
AMC-DEBUG-XI70o3L0.log 47 kB 03/29/2017 Joël Brogniart
AMC-DEBUG-kTKoQISq.log 264.3 kB 03/30/2017 Joël Brogniart
